GET http://api.aspose.cloud/v3.0/cells/{name}/worksheets/{sheetName}/cells/rows/
Function Description
The request parameters of getWorksheetRows API are:
| Parameter Name | Type | Path/Query String/HTTPBody | Description |
| :- | :- | :- |:- |
|name|String|Path|The file name.|
|sheetName|String|Path|The worksheet name.|
|offset|Integer|Query|Row offset.|
|count|Integer|Query|Display rows number.|
|folder|String|Query|The folder where the file is situated.|
|storageName|String|Query|The storage name where the file is situated.|
Response Description
{
"Name": "RowsResponse",
"Description": [
"Represents the Rows Response."
],
"Type": "Class",
"ParentName": "CellsCloudResponse",
"IsAbstract": false,
"Properties": [
{
"Name": "Rows",
"Description": [
"A property named \"Rows\" of type \"Rows\" which has both getter and setter methods."
],
"Nullable": true,
"ReadOnly": false,
"IsInherit": false,
"DataType": {
"Identifier": "Class",
"Reference": "Rows",
"Name": "class:rows"
}
},
{
"Name": "Code",
"Nullable": true,
"ReadOnly": false,
"IsInherit": true,
"DataType": {
"Identifier": "Integer",
"Name": "integer"
}
},
{
"Name": "Status",
"Nullable": true,
"ReadOnly": false,
"IsInherit": true,
"DataType": {
"Identifier": "String",
"Name": "string"
}
}
]
}
OpenAPI Specification
The OpenAPI Specification defines a publicly accessible programming interface and lets you carry out REST interactions directly from a web browser.